Bug 16823 - Comment out koha-rebuild-zebra in debian/koha-common.cron.d
Summary: Comment out koha-rebuild-zebra in debian/koha-common.cron.d
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Magnus Enger
QA Contact: Testopia
URL:
Keywords:
Depends on: 16190
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-28 08:41 UTC by Magnus Enger
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16823 - Comment out koha-rebuild-zebra in koha-common.cron.d (1.43 KB, patch)
2016-06-28 08:47 UTC, Magnus Enger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16823 - Comment out koha-rebuild-zebra in koha-common.cron.d (1.48 KB, patch)
2016-07-07 03:33 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16823 - Comment out koha-rebuild-zebra in koha-common.cron.d (1.55 KB, patch)
2016-07-07 15:46 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2016-06-28 08:41:00 UTC
Bug 16190 enables the indexer daemon by default for package installations. This means that it is no longer necessary to set up koha-rebuild-zebra as a cron job. I propose we just comment it out, so that people who might run into bug 16814 can easily activate the cronjob again after de-activating the indexer daemon.
Comment 1 Magnus Enger 2016-06-28 08:47:42 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-07-07 03:33:01 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-07-07 15:46:14 UTC
Created attachment 53183 [details] [review]
Bug 16823 - Comment out koha-rebuild-zebra in koha-common.cron.d

Bug 16190 enabled the indexer daemon by default for package installations.
This means that it is no longer necessary to set up koha-rebuild-zebra as
a cron job. This patch comments it out, so that people who might run into
bug 16814 can easily activate the cronjob again after de-activating the
indexer daemon.

To test:
Just read the diff and check that it makes sense.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-07-08 13:27:07 UTC
Pushed to master for 16.11, thanks Magnus!
Comment 5 Frédéric Demians 2016-08-01 13:31:42 UTC
Pushed in 16.05. Will be in 16.05.02.